# src/contrib/LinearSolverLoader/HSLLoader.h File Reference

`#include "IpoptConfig.h"`

Go to the source code of this file.

## Typedefs
typedef double | ma77pkgtype_d_
typedef double | ma86pkgtype_d_
typedef double | ma86realtype_d_
typedef double | ma97pkgtype_d_
typedef double | ma97realtype_d_
typedef FORTRAN_INTEGER_TYPE | ipfint
typedef void(* | ma27ad_t )(ipfint *N, ipfint *NZ, const ipfint *IRN, const ipfint *ICN, ipfint *IW, ipfint *LIW, ipfint *IKEEP, ipfint *IW1, ipfint *NSTEPS, ipfint *IFLAG, ipfint *ICNTL, double *CNTL, ipfint *INFO, double *OPS)
typedef void(* | ma27bd_t )(ipfint *N, ipfint *NZ, const ipfint *IRN, const ipfint *ICN, double *A, ipfint *LA, ipfint *IW, ipfint *LIW, ipfint *IKEEP, ipfint *NSTEPS, ipfint *MAXFRT, ipfint *IW1, ipfint *ICNTL, double *CNTL, ipfint *INFO)
typedef void(* | ma27cd_t )(ipfint *N, double *A, ipfint *LA, ipfint *IW, ipfint *LIW, double *W, ipfint *MAXFRT, double *RHS, ipfint *IW1, ipfint *NSTEPS, ipfint *ICNTL, double *CNTL)
typedef void(* | ma27id_t )(ipfint *ICNTL, double *CNTL)
typedef void(* | ma28ad_t )(void *nsize, void *nz, void *rw, void *licn, void *iw, void *lirn, void *iw2, void *pivtol, void *iw3, void *iw4, void *rw2, void *iflag)
typedef void(* | ma57ad_t )(ipfint *n, ipfint *ne, const ipfint *irn, const ipfint *jcn, ipfint *lkeep, ipfint *keep, ipfint *iwork, ipfint *icntl, ipfint *info, double *rinfo)
typedef void(* | ma57bd_t )(ipfint *n, ipfint *ne, double *a, double *fact, ipfint *lfact, ipfint *ifact, ipfint *lifact, ipfint *lkeep, ipfint *keep, ipfint *iwork, ipfint *icntl, double *cntl, ipfint *info, double *rinfo)
typedef void(* | ma57cd_t )(ipfint *job, ipfint *n, double *fact, ipfint *lfact, ipfint *ifact, ipfint *lifact, ipfint *nrhs, double *rhs, ipfint *lrhs, double *work, ipfint *lwork, ipfint *iwork, ipfint *icntl, ipfint *info)
typedef void(* | ma57ed_t )(ipfint *n, ipfint *ic, ipfint *keep, double *fact, ipfint *lfact, double *newfac, ipfint *lnew, ipfint *ifact, ipfint *lifact, ipfint *newifc, ipfint *linew, ipfint *info)
typedef void(* | ma57id_t )(double *cntl, ipfint *icntl)
typedef void(* | ma77_default_control_t )(struct ma77_control_d *control)
typedef void(* | ma77_open_nelt_t )(const int n, const char *fname1, const char *fname2, const char *fname3, const char *fname4, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const int nelt)
typedef void(* | ma77_open_t )(const int n, const char *fname1, const char *fname2, const char *fname3, const char *fname4, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
typedef void(* | ma77_input_vars_t )(const int idx, const int nvar, const int list[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
typedef void(* | ma77_input_reals_t )(const int idx, const int length, const double reals[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
typedef void(* | ma77_analyse_t )(const int order[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
typedef void(* | ma77_factor_t )(const int posdef, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const double *scale)
typedef void(* | ma77_factor_solve_t )(const int posdef, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const double *scale, const int nrhs, const int lx, double rhs[])
typedef void(* | ma77_solve_t )(const int job, const int nrhs, const int lx, double x[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const double *scale)
typedef void(* | ma77_resid_t )(const int nrhs, const int lx, const double x[], const int lresid, double resid[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, double *anorm_bnd)
typedef void(* | ma77_scale_t )(double scale[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, double *anorm)
typedef void(* | ma77_enquire_posdef_t )(double d[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
typedef void(* | ma77_enquire_indef_t )(int piv_order[], double d[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
typedef void(* | ma77_alter_t )(const double d[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
typedef void(* | ma77_restart_t )(const char *restart_file, const char *fname1, const char *fname2, const char *fname3, const char *fname4, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
typedef void(* | ma77_finalise_t )(void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)
typedef void(* | ma86_default_control_t )(struct ma86_control *control)
typedef void(* | ma86_analyse_t )(const int n, const int ptr[], const int row[], int order[], void **keep, const struct ma86_control *control, struct ma86_info *info)
typedef void(* | ma86_factor_t )(const int n, const int ptr[], const int row[], const ma86pkgtype_d_ val[], const int order[], void **keep, const struct ma86_control *control, struct ma86_info *info, const ma86pkgtype_d_ scale[])
typedef void(* | ma86_factor_solve_t )(const int n, const int ptr[], const int row[], const ma86pkgtype_d_ val[], const int order[], void **keep, const struct ma86_control *control, struct ma86_info *info, const int nrhs, const int ldx, ma86pkgtype_d_ x[], const ma86pkgtype_d_ scale[])
typedef void(* | ma86_solve_t )(const int job, const int nrhs, const int ldx, ma86pkgtype_d_ *x, const int order[], void **keep, const struct ma86_control *control, struct ma86_info *info, const ma86pkgtype_d_ scale[])
typedef void(* | ma86_finalise_t )(void **keep, const struct ma86_control *control)
typedef void(* | ma97_default_control_t )(struct ma97_control *control)
typedef void(* | ma97_analyse_t )(const int check, const int n, const int ptr[], const int row[], ma97pkgtype_d_ val[], void **akeep, const struct ma97_control *control, struct ma97_info *info, int order[])
typedef void(* | ma97_factor_t )(const int matrix_type, const int ptr[], const int row[], const ma97pkgtype_d_ val[], void **akeep, void **fkeep, const struct ma97_control *control, struct ma97_info *info, const ma97pkgtype_d_ scale[])
typedef void(* | ma97_factor_solve_t )(const int matrix_type, const int ptr[], const int row[], const ma97pkgtype_d_ val[], const int nrhs, ma97pkgtype_d_ x[], const int ldx, void **akeep, void **fkeep, const struct ma97_control *control, struct ma97_info *info, const ma97pkgtype_d_ scale[])
typedef void(* | ma97_solve_t )(const int job, const int nrhs, ma97pkgtype_d_ *x, const int ldx, void **akeep, void **fkeep, const struct ma97_control *control, struct ma97_info *info)
typedef void(* | ma97_finalise_t )(void **akeep, void **fkeep)
typedef void(* | ma97_free_akeep_t )(void **akeep)
typedef void(* | mc19ad_t )(ipfint *N, ipfint *NZ, double *A, ipfint *IRN, ipfint *ICN, float *R, float *C, float *W)
typedef void(* | mc68_default_control_t )(struct mc68_control_i *control)
typedef void(* | mc68_order_t )(int ord, int n, const int ptr[], const int row[], int perm[], const struct mc68_control_i *control, struct mc68_info_i *info)
## Functions
int | LSL_loadHSL (const char *libname, char *msgbuf, int msglen)
| Tries to load a dynamically linked library with HSL routines.
int | LSL_unloadHSL ()
| Unloads a loaded HSL library.
int | LSL_isHSLLoaded ()
| Indicates whether a HSL library has been loaded.
int | LSL_isMA27available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use MA27 have been found.
int | LSL_isMA28available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use MA28 have been found.
int | LSL_isMA57available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use MA57 have been found.
int | LSL_isMA77available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use MA77 have been found.
int | LSL_isMA86available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use HSL_MA86 have been found.
int | LSL_isMA97available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use HSL_MA97 have been found.
int | LSL_isMC19available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use MA57 have been found.
int | LSL_isMC68available ()
| Indicates whether a HSL library is loaded and all symbols necessary to use HSL_MC68 have been found.
char * | LSL_HSLLibraryName ()
| Returns name of the shared library that should contain HSL.
void | LSL_setMA27 (ma27ad_t ma27ad, ma27bd_t ma27bd, ma27cd_t ma27cd, ma27id_t ma27id)
| sets pointers to MA27 functions
void | LSL_setMA28 (ma28ad_t ma28ad)
| sets pointers to MA28 functions
void | LSL_setMA57 (ma57ad_t ma57ad, ma57bd_t ma57bd, ma57cd_t ma57cd, ma57ed_t ma57ed, ma57id_t ma57id)
| sets pointers to MA57 functions
void | LSL_setMA77 (ma77_default_control_t ma77_default_control, ma77_open_nelt_t ma77_open_nelt, ma77_open_t ma77_open, ma77_input_vars_t ma77_input_vars, ma77_input_reals_t ma77_input_reals, ma77_analyse_t ma77_analyse, ma77_factor_t ma77_factor, ma77_factor_solve_t ma77_factor_solve, ma77_solve_t ma77_solve, ma77_resid_t ma77_resid, ma77_scale_t ma77_scale, ma77_enquire_posdef_t ma77_enquire_posdef, ma77_enquire_indef_t ma77_enquire_indef, ma77_alter_t ma77_alter, ma77_restart_t ma77_restart, ma77_finalise_t ma77_finalise)
| sets pointers to MA77 functions
void | LSL_setMA86 (ma86_default_control_t ma86_default_control, ma86_analyse_t ma86_analyse, ma86_factor_t ma86_factor, ma86_factor_solve_t ma86_factor_solve, ma86_solve_t ma86_solve, ma86_finalise_t ma86_finalise)
| sets pointers to MA86 functions
void | LSL_setMA97 (ma97_default_control_t ma97_default_control, ma97_analyse_t ma97_analyse, ma97_factor_t ma97_factor, ma97_factor_solve_t ma97_factor_solve, ma97_solve_t ma97_solve, ma97_finalise_t ma97_finalise, ma97_free_akeep_t ma97_free_akeep)
| sets pointers to MA97 functions
void | LSL_setMC19 (mc19ad_t mc19ad)
| sets pointer to MC19 function
void | LSL_setMC68 (mc68_default_control_t mc68_default_control, mc68_order_t mc68_order)
| sets pointers to MC68 functions

## Typedef Documentation

typedef double ma77pkgtype_d_

Definition at line 41 of file HSLLoader.h.

typedef double ma86pkgtype_d_

Definition at line 57 of file HSLLoader.h.

typedef double ma86realtype_d_

Definition at line 59 of file HSLLoader.h.

typedef double ma97pkgtype_d_

Definition at line 74 of file HSLLoader.h.

typedef double ma97realtype_d_

Definition at line 76 of file HSLLoader.h.

typedef FORTRAN_INTEGER_TYPE ipfint

Definition at line 79 of file HSLLoader.h.

typedef void(* ma27ad_t)(ipfint *N, ipfint *NZ, const ipfint *IRN, const ipfint *ICN, ipfint *IW, ipfint *LIW, ipfint *IKEEP, ipfint *IW1, ipfint *NSTEPS, ipfint *IFLAG, ipfint *ICNTL, double *CNTL, ipfint *INFO, double *OPS)

Definition at line 86 of file HSLLoader.h.

typedef void(* ma27bd_t)(ipfint *N, ipfint *NZ, const ipfint *IRN, const ipfint *ICN, double *A, ipfint *LA, ipfint *IW, ipfint *LIW, ipfint *IKEEP, ipfint *NSTEPS, ipfint *MAXFRT, ipfint *IW1, ipfint *ICNTL, double *CNTL, ipfint *INFO)

Definition at line 90 of file HSLLoader.h.

typedef void(* ma27cd_t)(ipfint *N, double *A, ipfint *LA, ipfint *IW, ipfint *LIW, double *W, ipfint *MAXFRT, double *RHS, ipfint *IW1, ipfint *NSTEPS, ipfint *ICNTL, double *CNTL)

Definition at line 95 of file HSLLoader.h.

typedef void(* ma27id_t)(ipfint *ICNTL, double *CNTL)

Definition at line 99 of file HSLLoader.h.

typedef void(* ma28ad_t)(void *nsize, void *nz, void *rw, void *licn, void *iw, void *lirn, void *iw2, void *pivtol, void *iw3, void *iw4, void *rw2, void *iflag)

Definition at line 101 of file HSLLoader.h.

typedef void(* ma57ad_t)(ipfint *n,ipfint *ne,const ipfint *irn,const ipfint *jcn,ipfint *lkeep,ipfint *keep,ipfint *iwork,ipfint *icntl,ipfint *info,double *rinfo)

Definition at line 104 of file HSLLoader.h.

typedef void(* ma57bd_t)(ipfint *n,ipfint *ne,double *a,double *fact,ipfint *lfact,ipfint *ifact,ipfint *lifact,ipfint *lkeep,ipfint *keep,ipfint *iwork,ipfint *icntl,double *cntl,ipfint *info,double *rinfo)

Definition at line 117 of file HSLLoader.h.

typedef void(* ma57cd_t)(ipfint *job,ipfint *n,double *fact,ipfint *lfact,ipfint *ifact,ipfint *lifact,ipfint *nrhs,double *rhs,ipfint *lrhs,double *work,ipfint *lwork,ipfint *iwork,ipfint *icntl,ipfint *info)

Definition at line 133 of file HSLLoader.h.

typedef void(* ma57ed_t)(ipfint *n, ipfint *ic,ipfint *keep, double *fact, ipfint *lfact, double *newfac, ipfint *lnew, ipfint *ifact, ipfint *lifact, ipfint *newifc, ipfint *linew, ipfint *info)

Definition at line 149 of file HSLLoader.h.

typedef void(* ma57id_t)(double *cntl, ipfint *icntl)

Definition at line 163 of file HSLLoader.h.

typedef void(* ma77_default_control_t)(struct ma77_control_d *control)

Definition at line 165 of file HSLLoader.h.

typedef void(* ma77_open_nelt_t)(const int n, const char *fname1, const char *fname2, const char *fname3, const char *fname4, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const int nelt)

Definition at line 166 of file HSLLoader.h.

typedef void(* ma77_open_t)(const int n, const char *fname1, const char *fname2, const char *fname3, const char *fname4, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

Definition at line 170 of file HSLLoader.h.

typedef void(* ma77_input_vars_t)(const int idx, const int nvar, const int list[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

Definition at line 173 of file HSLLoader.h.

typedef void(* ma77_input_reals_t)(const int idx, const int length, const double reals[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

Definition at line 175 of file HSLLoader.h.

typedef void(* ma77_analyse_t)(const int order[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

Definition at line 178 of file HSLLoader.h.

typedef void(* ma77_factor_t)(const int posdef, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const double *scale)

Definition at line 180 of file HSLLoader.h.

typedef void(* ma77_factor_solve_t)(const int posdef, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const double *scale, const int nrhs, const int lx, double rhs[])

Definition at line 183 of file HSLLoader.h.

typedef void(* ma77_solve_t)(const int job, const int nrhs, const int lx, double x[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, const double *scale)

Definition at line 187 of file HSLLoader.h.

typedef void(* ma77_resid_t)(const int nrhs, const int lx, const double x[], const int lresid, double resid[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, double *anorm_bnd)

Definition at line 190 of file HSLLoader.h.

typedef void(* ma77_scale_t)(double scale[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info, double *anorm)

Definition at line 194 of file HSLLoader.h.

typedef void(* ma77_enquire_posdef_t)(double d[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

Definition at line 197 of file HSLLoader.h.

typedef void(* ma77_enquire_indef_t)(int piv_order[], double d[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

Definition at line 199 of file HSLLoader.h.

typedef void(* ma77_alter_t)(const double d[], void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

Definition at line 201 of file HSLLoader.h.

typedef void(* ma77_restart_t)(const char *restart_file, const char *fname1, const char *fname2, const char *fname3, const char *fname4, void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

Definition at line 203 of file HSLLoader.h.

typedef void(* ma77_finalise_t)(void **keep, const struct ma77_control_d *control, struct ma77_info_d *info)

Definition at line 206 of file HSLLoader.h.

typedef void(* ma86_default_control_t)(struct ma86_control *control)

Definition at line 209 of file HSLLoader.h.

typedef void(* ma86_analyse_t)(const int n, const int ptr[], const int row[], int order[], void **keep, const struct ma86_control *control, struct ma86_info *info)

Definition at line 210 of file HSLLoader.h.

typedef void(* ma86_factor_t)(const int n, const int ptr[], const int row[], const ma86pkgtype_d_ val[], const int order[], void **keep, const struct ma86_control *control, struct ma86_info *info, const ma86pkgtype_d_ scale[])

Definition at line 213 of file HSLLoader.h.

typedef void(* ma86_factor_solve_t)(const int n, const int ptr[], const int row[], const ma86pkgtype_d_ val[], const int order[], void **keep, const struct ma86_control *control, struct ma86_info *info, const int nrhs, const int ldx, ma86pkgtype_d_ x[], const ma86pkgtype_d_ scale[])

Definition at line 217 of file HSLLoader.h.

typedef void(* ma86_solve_t)(const int job, const int nrhs, const int ldx, ma86pkgtype_d_ *x, const int order[], void **keep, const struct ma86_control *control, struct ma86_info *info, const ma86pkgtype_d_ scale[])

Definition at line 221 of file HSLLoader.h.

typedef void(* ma86_finalise_t)(void **keep, const struct ma86_control *control)

Definition at line 225 of file HSLLoader.h.

typedef void(* ma97_default_control_t)(struct ma97_control *control)

Definition at line 228 of file HSLLoader.h.

typedef void(* ma97_analyse_t)(const int check, const int n, const int ptr[], const int row[], ma97pkgtype_d_ val[], void **akeep, const struct ma97_control *control, struct ma97_info *info, int order[])

Definition at line 229 of file HSLLoader.h.

typedef void(* ma97_factor_t)(const int matrix_type, const int ptr[], const int row[], const ma97pkgtype_d_ val[], void **akeep, void **fkeep, const struct ma97_control *control, struct ma97_info *info, const ma97pkgtype_d_ scale[])

Definition at line 232 of file HSLLoader.h.

typedef void(* ma97_factor_solve_t)(const int matrix_type, const int ptr[], const int row[], const ma97pkgtype_d_ val[], const int nrhs, ma97pkgtype_d_ x[], const int ldx, void **akeep, void **fkeep, const struct ma97_control *control, struct ma97_info *info, const ma97pkgtype_d_ scale[])

Definition at line 236 of file HSLLoader.h.

typedef void(* ma97_solve_t)(const int job, const int nrhs, ma97pkgtype_d_ *x, const int ldx, void **akeep, void **fkeep, const struct ma97_control *control, struct ma97_info *info)

Definition at line 241 of file HSLLoader.h.

typedef void(* ma97_finalise_t)(void **akeep, void **fkeep)

Definition at line 244 of file HSLLoader.h.

typedef void(* ma97_free_akeep_t)(void **akeep)

Definition at line 245 of file HSLLoader.h.

typedef void(* mc19ad_t)(ipfint *N, ipfint *NZ, double *A, ipfint *IRN, ipfint *ICN, float *R, float *C, float *W)

Definition at line 247 of file HSLLoader.h.

typedef void(* mc68_default_control_t)(struct mc68_control_i *control)

Definition at line 249 of file HSLLoader.h.

typedef void(* mc68_order_t)(int ord, int n, const int ptr[], const int row[], int perm[], const struct mc68_control_i *control, struct mc68_info_i *info)

Definition at line 250 of file HSLLoader.h.

## Function Documentation

int LSL_loadHSL | ( | const char * | libname,
|  | char * | msgbuf,
|  | int | msglen |
| ) |  |  |

Tries to load a dynamically linked library with HSL routines.

Also tries to load symbols for those HSL routines that are not linked into Ipopt, i.e., HAVE_... is not defined. Return a failure if the library cannot be loaded, but not if a symbol is not found.

See also:
  LSL_isMA27available
  LSL_isMA28available
  LSL_isMA57available
  LSL_isMA77available
  LSL_isMA86available
  LSL_isMA97available
  LSL_isMC19available

Parameters:

  | libname | The name under which the HSL lib can be found, or NULL to use a default name (libhsl.SHAREDLIBEXT).
  | msgbuf | A buffer where we can store a failure message. Assumed to be NOT NULL!
  | msglen | Length of the message buffer.

Returns:
  Zero on success, nonzero on failure.

int LSL_unloadHSL | ( |  | ) |

Unloads a loaded HSL library.

Returns:
  Zero on success, nonzero on failure.

int LSL_isHSLLoaded | ( |  | ) |

Indicates whether a HSL library has been loaded.

Returns:
  Zero if not loaded, nonzero if handle is loaded

int LSL_isMA27available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use MA27 have been found.

Returns:
  Zero if not available, nonzero if MA27 is available in the loaded library.

int LSL_isMA28available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use MA28 have been found.

Returns:
  Zero if not available, nonzero if MA28 is available in the loaded library.

int LSL_isMA57available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use MA57 have been found.

Returns:
  Zero if not available, nonzero if MA57 is available in the loaded library.

int LSL_isMA77available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use MA77 have been found.

Returns:
  Zero if not available, nonzero if HSL_MA77 is available in the loaded library.

int LSL_isMA86available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use HSL_MA86 have been found.

Returns:
  Zero if not available, nonzero if HSL_MA86 is available in the loaded library.

int LSL_isMA97available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use HSL_MA97 have been found.

Returns:
  Zero if not available, nonzero if HSL_MA97 is available in the loaded library.

int LSL_isMC19available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use MA57 have been found.

Returns:
  Zero if not available, nonzero if MC19 is available in the loaded library.

int LSL_isMC68available | ( |  | ) |

Indicates whether a HSL library is loaded and all symbols necessary to use HSL_MC68 have been found.

Returns:
  Zero if not available, nonzero if MC68 is available in the loaded library.

char* LSL_HSLLibraryName | ( |  | ) |

Returns name of the shared library that should contain HSL.

void LSL_setMA27 | ( | ma27ad_t | ma27ad,
|  | ma27bd_t | ma27bd,
|  | ma27cd_t | ma27cd,
|  | ma27id_t | ma27id |
| ) |  |  |

sets pointers to MA27 functions

void LSL_setMA28 | ( | ma28ad_t | ma28ad | ) |

sets pointers to MA28 functions

void LSL_setMA57 | ( | ma57ad_t | ma57ad,
|  | ma57bd_t | ma57bd,
|  | ma57cd_t | ma57cd,
|  | ma57ed_t | ma57ed,
|  | ma57id_t | ma57id |
| ) |  |  |

sets pointers to MA57 functions

void LSL_setMA77 | ( | ma77_default_control_t | ma77_default_control,
|  | ma77_open_nelt_t | ma77_open_nelt,
|  | ma77_open_t | ma77_open,
|  | ma77_input_vars_t | ma77_input_vars,
|  | ma77_input_reals_t | ma77_input_reals,
|  | ma77_analyse_t | ma77_analyse,
|  | ma77_factor_t | ma77_factor,
|  | ma77_factor_solve_t | ma77_factor_solve,
|  | ma77_solve_t | ma77_solve,
|  | ma77_resid_t | ma77_resid,
|  | ma77_scale_t | ma77_scale,
|  | ma77_enquire_posdef_t | ma77_enquire_posdef,
|  | ma77_enquire_indef_t | ma77_enquire_indef,
|  | ma77_alter_t | ma77_alter,
|  | ma77_restart_t | ma77_restart,
|  | ma77_finalise_t | ma77_finalise |
| ) |  |  |

sets pointers to MA77 functions

void LSL_setMA86 | ( | ma86_default_control_t | ma86_default_control,
|  | ma86_analyse_t | ma86_analyse,
|  | ma86_factor_t | ma86_factor,
|  | ma86_factor_solve_t | ma86_factor_solve,
|  | ma86_solve_t | ma86_solve,
|  | ma86_finalise_t | ma86_finalise |
| ) |  |  |

sets pointers to MA86 functions

void LSL_setMA97 | ( | ma97_default_control_t | ma97_default_control,
|  | ma97_analyse_t | ma97_analyse,
|  | ma97_factor_t | ma97_factor,
|  | ma97_factor_solve_t | ma97_factor_solve,
|  | ma97_solve_t | ma97_solve,
|  | ma97_finalise_t | ma97_finalise,
|  | ma97_free_akeep_t | ma97_free_akeep |
| ) |  |  |

sets pointers to MA97 functions

void LSL_setMC19 | ( | mc19ad_t | mc19ad | ) |

sets pointer to MC19 function

void LSL_setMC68 | ( | mc68_default_control_t | mc68_default_control,
|  | mc68_order_t | mc68_order |
| ) |  |  |

sets pointers to MC68 functions

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines